[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [cross-project-issues-dev] Eclipse for Committers

On 09/07/2016 07:48 AM, Gunnar Wagenknecht wrote:
1. Delete the "Eclipse for Committers" package entirely. Recommend that commiters install the "Eclipse Platform" build (or whatever package it is that builds http://download.eclipse.org/eclipse/updates/4.7-I-builds/ ). Update the oomph scripts to install any extra stuff as part of the oomph install script rather than as part of the package.
IMHO, that would make sense. Especially since there is an "Eclipse for RCP/RAP developers" which contains a super-content of the "Eclipse for Committers" one (and no, RAP isn't affecting badly UI nor performance as some thought in the past).

There was informal discussion in the past to merge both into one single package. No action yet but I think it's still a valid idea.
If I'm not mistaken, the "for committers" being a subset of the "for RCP/RAP", merging them would just mean removing the "for Committers".
--
Mickael Istria
Eclipse developer at JBoss, by Red Hat
My blog - My Tweets